Class | Nokogiri::XML::DocumentFragment
In: | lib/nokogiri/xml/document_fragment.rb ext/nokogiri/xml_sax_push_parser.c
Parent: | Nokogiri::XML::Node

DocumentFragment represents a DocumentFragment node in an xml document.

### Methods

css name new new parse serialize to_html to_s to_xhtml to_xml

### Public Class methods

new(document, tags = nil, ctx = nil)

Create a new DocumentFragment from `tags`.

If `ctx` is present, it is used as a context node for the subtree created, e.g., namespaces will be resolved relative to `ctx`.

new(document)

Create a new DocumentFragment element on the `document`

parse(tags)

Create a Nokogiri::XML::DocumentFragment from `tags`

### Public Instance methods

css(*args)

Search this fragment. See Nokogiri::XML::Node#css

name()

return the name for DocumentFragment

serialize()

Alias for to_s

to_html(*args)

Convert this DocumentFragment to html See Nokogiri::XML::NodeSet#to_html

to_s()

Convert this DocumentFragment to a string

to_xhtml(*args)

Convert this DocumentFragment to xhtml See Nokogiri::XML::NodeSet#to_xhtml

to_xml(*args)

Convert this DocumentFragment to xml See Nokogiri::XML::NodeSet#to_xml

[Validate]